Package com.smartgwt.client.ai

# Class AnswerEngineOperation

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.ai.AnswerEngineOperation

All Implemented Interfaces:
  `HasHandlers`

public class AnswerEngineOperation extends BaseClass
Represents an Answer Engine operation.

See Also:
  - `Answer Engine`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnswerEngineOperation()`
  `AnswerEngineOperation(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `Boolean`
  `getAutoShowResult()`
  Whether the result should be automatically shown to the user.
  `DataQuestion`
  `getDataQuestion()`
  The data question that is the subject of this Answer Engine operation.
  `DataSource[]`
  `getDataSources()`
  The array of available data sources.
  `JavaScriptObject`
  `getJsObj()`
  `Integer`
  `getMaxRecordsPerQuery()`
  The maximum number of records that may be requested per query.
  `JavaScriptObject`
  `getOrCreateJsObj()`
  `static AnswerEngineOperation`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getShowNotify()`
  Whether to show a notify for this Answer Engine operation.
  `boolean`
  `isCreated()`
  `AnswerEngineOperation`
  `setAutoShowResult(Boolean autoShowResult)`
  Whether the result should be automatically shown to the user.
  `AnswerEngineOperation`
  `setDataQuestion(DataQuestion dataQuestion)`
  The data question that is the subject of this Answer Engine operation.
  `AnswerEngineOperation`
  `setDataSources(DataSource... dataSources)`
  The array of available data sources.
  `void`
  `setJavaScriptObject(JavaScriptObject jsObj)`
  `AnswerEngineOperation`
  `setMaxRecordsPerQuery(Integer maxRecordsPerQuery)`
  The maximum number of records that may be requested per query.
  `AnswerEngineOperation`
  `setShowNotify(Boolean showNotify)`
  Whether to show a notify for this Answer Engine operation.

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AnswerEngineOperation

    public AnswerEngineOperation()

  - ### AnswerEngineOperation

    public AnswerEngineOperation(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AnswerEngineOperation getOrCreateRef(JavaScriptObject jsObj)

  - ### setJavaScriptObject

    public void setJavaScriptObject(JavaScriptObject jsObj)
    Overrides:
      `setJavaScriptObject` in class `BaseClass`

  - ### create

    public JavaScriptObject create()
    Specified by:
      `create` in class `BaseClass`

  - ### isCreated

    public boolean isCreated()
    Overrides:
      `isCreated` in class `BaseClass`

  - ### getJsObj

    public JavaScriptObject getJsObj()
    Overrides:
      `getJsObj` in class `BaseClass`

  - ### getOrCreateJsObj

    public JavaScriptObject getOrCreateJsObj()
    Overrides:
      `getOrCreateJsObj` in class `BaseClass`

  - ### setAutoShowResult

    public AnswerEngineOperation setAutoShowResult(Boolean autoShowResult) throws IllegalStateException
    Whether the result should be automatically shown to the user.
    Parameters:
      `autoShowResult` - New autoShowResult value. Default value is false
    Returns:
      `AnswerEngineOperation` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getAutoShowResult

    public Boolean getAutoShowResult()
    Whether the result should be automatically shown to the user.
    Returns:
      Current autoShowResult value. Default value is false

  - ### setDataQuestion

    public AnswerEngineOperation setDataQuestion(DataQuestion dataQuestion) throws IllegalStateException
    The data question that is the subject of this Answer Engine operation. This is required to be non-`null`.
    Parameters:
      `dataQuestion` - New dataQuestion value. Default value is null
    Returns:
      `AnswerEngineOperation` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getDataQuestion

    public DataQuestion getDataQuestion()
    The data question that is the subject of this Answer Engine operation. This is required to be non-`null`.
    Returns:
      Current dataQuestion value. Default value is null

  - ### setDataSources

    public AnswerEngineOperation setDataSources(DataSource... dataSources) throws IllegalStateException
    The array of available data sources.
    Parameters:
      `dataSources` - New dataSources value. Default value is null
    Returns:
      `AnswerEngineOperation` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getDataSources

    public DataSource[] getDataSources()
    The array of available data sources.
    Returns:
      Current dataSources value. Default value is null

  - ### setMaxRecordsPerQuery

    public AnswerEngineOperation setMaxRecordsPerQuery(Integer maxRecordsPerQuery) throws IllegalStateException
    The maximum number of records that may be requested per query. Must be a positive integer.
    Parameters:
      `maxRecordsPerQuery` - New maxRecordsPerQuery value. Default value is 15
    Returns:
      `AnswerEngineOperation` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getMaxRecordsPerQuery

    public Integer getMaxRecordsPerQuery()
    The maximum number of records that may be requested per query. Must be a positive integer.
    Returns:
      Current maxRecordsPerQuery value. Default value is 15

  - ### setShowNotify

    public AnswerEngineOperation setShowNotify(Boolean showNotify) throws IllegalStateException
    Whether to show a notify for this Answer Engine operation.

    If `autoShowResult` is also enabled, the notify will be dismissed when the result is shown.

    Parameters:
      `showNotify` - New showNotify value. Default value is false
    Returns:
      `AnswerEngineOperation` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getShowNotify

    public Boolean getShowNotify()
    Whether to show a notify for this Answer Engine operation.

    If `autoShowResult` is also enabled, the notify will be dismissed when the result is shown.

    Returns:
      Current showNotify value. Default value is false